import webWorkerLoader from "rollup-plugin-web-worker-loader";
import { nodeResolve } from "@rollup/plugin-node-resolve";
import commonjs from "@rollup/plugin-commonjs";
import { terser } from "rollup-plugin-terser";

export default {
  input: "lib/index.js",
  output: {
    name: "nugget",
    file: "dist/nugget.js",
    format: "es",
  },

  plugins: [nodeResolve(), commonjs(), webWorkerLoader(), terser()],
};
