class Worklet {
  static get inputProperties() {
    return ["--bounding-rects"];
  }

  paint(ctx, geometry, props) {
    const rects = props.get("--bounding-rects").toString();
    const r = rects.length > 0 ? JSON.parse(rects) : [];

    r.forEach((rect) => {
      ctx.fillRect(rect.x, rect.y, rect.width, rect.height);
    });
  }
}

registerPaint("worklet", Worklet);
